#!/usr/bin/env python
#
# Generate a link to google cloud logging by passing in a logging query.
import sys
import urllib.parse

def main():
    query = "\n".join([line.strip() for line in sys.stdin.readlines()])
    query = urllib.parse.quote(query)
    query = query + "?project=project-id-here"
    print(query)

if __name__ == "__main__":
    main()
